################################################################################
# Splitbeam Device Type Definitions
#
# See README.md in this directory

######################################
SplitbeamEK:
  category: "device_type"
  description: "Generic Kongsberg Splibteam"

  format:
    DBDPT: '${:.2}DPT,{Depth:f},{WaterlineDist:f},{MaxRange:f}*{Checksum:x}'

  fields:
    Depth:
      units: "Meters"
      description: "Depth at transducer"
    WaterlineDist:
      units: "Meters"
      description: "Distance to waterline from transducer"
    MaxRange:
      units: "Meters"
      description: "Maximum range in use"
